Subject: Desert Scullcap

From: [email-masked] (Michelle A Wunsch)
Date: 27 Jan 1996 12:51:53 -0600

I heard about an herb called Scutellaria nana that grows in the arizona 
desert.  I live in New Orleans, and I was wondering if it would be 
possible to grow it here.  If so, where could I get seeds or a plant?  I 
would also like to know about another type of Scullcap, called 
Scutellaria galreiculata (Ithink that's the common version)  Thanks in 
advance,
Chicken